### Method

# FwupdPlugin BlockDevice sg_io_cmd_write

since: 2.0.0

#### Declaration [src]

    gboolean
    fu_block_device_sg_io_cmd_write (
      FuBlockDevice* self,
      const guint8* cdb,
      gsize cdbsz,
      const guint8* buf,
      gsize bufsz,
      GError** error
    )

#### Description [src]

Performs a SCSI IO write command.

Available since: 2.0.0

#### Parameters

`cdb`

  Type: `const guint8*`

  A cdb command.

  The data is owned by the caller of the method.

`cdbsz`

  Type: `gsize`

  Sizeof `cdb`.

`buf`

  Type: `const guint8*`

  Buffer to read from.

  The data is owned by the caller of the method.

`bufsz`

  Type: `gsize`

  Sizeof `buf`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.